<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yiqi.core.mapper.SettlementManageStoreMapper">

    <resultMap type="SettlementManageStore" id="SettlementManageStoreResult">
        <result property="id" column="id"/>
        <result property="billId" column="bill_id"/>
        <result property="sourceType" column="source_type"/>
        <result property="orgId" column="org_id"/>
        <result property="beginTime" column="begin_time"/>
        <result property="endTime" column="end_time"/>
        <result property="title" column="title"/>
        <result property="memberBalance" column="member_balance"/>
        <result property="payableDeposit" column="payable_deposit"/>
        <result property="paidDeposit" column="paid_deposit"/>
        <result property="welfareAmount" column="welfare_amount"/>
        <result property="welfareDeposit" column="welfare_deposit"/>
        <result property="cardPasswordDeposit" column="card_password_deposit"/>
        <result property="alipayAmount" column="alipay_amount"/>
        <result property="wechatAmount" column="wechat_amount"/>
        <result property="alipayAndWechatAmount" column="alipay_and_wechat_amount"/>
        <result property="unopenedCardPasswordAmount" column="unopened_card_password_amount"/>
        <result property="paidWelfareDeposit" column="paid_welfare_deposit"/>
        <result property="materialImprestAmount" column="material_imprest_amount"/>
        <result property="systemMaintenanceAmount" column="system_maintenance_amount"/>
        <result property="washClothAmount" column="wash_cloth_amount"/>
        <result property="crossStoreSettlementAmount" column="cross_store_settlement_amount"/>
        <result property="overOrderingAmount" column="over_ordering_amount"/>
        <result property="settlementAmount" column="settlement_amount"/>
        <result property="cashBalance" column="cash_balance"/>
        <result property="giveBalance" column="give_balance"/>
        <result property="welfareBalance" column="welfare_balance"/>
        <result property="orderAmount" column="order_amount"/>
        <result property="orderClothCount" column="order_cloth_count"/>
        <result property="orderClothAmount" column="order_cloth_amount"/>
        <result property="otherStoreAmount" column="other_store_amount"/>
        <result property="otherCardAmount" column="other_card_amount"/>
        <result property="retailOtherStoreAmount" column="retail_other_store_amount"/>
        <result property="retailOtherCardAmount" column="retail_other_card_amount"/>
        <result property="appOtherStoreAmount" column="app_other_store_amount"/>
        <result property="appOtherCardAmount" column="app_other_card_amount"/>
        <result property="thirdOtherStoreAmount" column="third_other_store_amount"/>
        <result property="thirdOtherCardAmount" column="third_other_card_amount"/>
        <result property="realSettlementAmount" column="real_settlement_amount"/>
        <result property="status" column="status"/>
        <result property="settleRemark" column="settle_remark"/>
        <result property="settlePaidDeposit" column="settle_paid_deposit"/>
        <result property="settleWelfareDeposit" column="settle_welfare_deposit"/>
        <result property="settleMaterialImprestAmount" column="settle_material_imprest_amount"/>
        <result property="settleSettlementAmount" column="settle_settlement_amount"/>
        <result property="settleTime" column="settle_time"/>
        <result property="dataCheck" column="data_check"/>
        <result property="dataCheckTime" column="data_check_time"/>
        <result property="dataCheckDesc" column="data_check_desc"/>
        <result property="welfareSettleId" column="welfare_settle_id"/>
        <result property="cardPasswordAmount" column="card_password_amount"/>
        <result property="sfExpressAmount" column="sf_express_amount"/>
        <result property="sfExpressCount" column="sf_express_count"/>
        <result property="settleGetCardPasswordDeposit" column="settle_get_card_password_deposit"/>
        <result property="paidCardPasswordDeposit" column="paid_card_password_deposit"/>
        <result property="factoryRate" column="factory_rate"/>
        <result property="materialRate" column="material_rate"/>
        <result property="manageRate" column="manage_rate"/>
        <result property="depositRate" column="deposit_rate"/>
        <result property="otherStoreRate" column="other_store_rate"/>
        <result property="aliPayRate" column="ali_pay_rate"/>
        <result property="wxPayRate" column="wx_pay_rate"/>
        <result property="aliWxPayRate" column="ali_wx_pay_rate"/>
        <result property="createTime" column="create_time"/>
    </resultMap>

    <sql id="selectSettlementManageStoreVo">
        select id, bill_id, source_type, org_id, begin_time, end_time, title, member_balance, payable_deposit, paid_deposit, welfare_amount, welfare_deposit, card_password_deposit, alipay_amount, wechat_amount, alipay_and_wechat_amount, unopened_card_password_amount, paid_welfare_deposit, material_imprest_amount, system_maintenance_amount, wash_cloth_amount, cross_store_settlement_amount, over_ordering_amount, settlement_amount, cash_balance, give_balance, welfare_balance, order_amount, order_cloth_count, order_cloth_amount, other_store_amount, other_card_amount, retail_other_store_amount, retail_other_card_amount, app_other_store_amount, app_other_card_amount, third_other_store_amount, third_other_card_amount, real_settlement_amount, status, settle_remark, settle_paid_deposit, settle_welfare_deposit, settle_material_imprest_amount, settle_settlement_amount, settle_time, data_check, data_check_time, data_check_desc, welfare_settle_id, card_password_amount, sf_express_amount, sf_express_count, settle_get_card_password_deposit, paid_card_password_deposit, factory_rate, material_rate, manage_rate, deposit_rate, other_store_rate, ali_pay_rate, wx_pay_rate, ali_wx_pay_rate, create_time
        from settlement_manage_store
    </sql>


</mapper>